Reads the alert index name if it exists

Base URL
https://{kibana_url}
  • GET /api/detection_engine/index
  • GET /s/{space_id}/api/detection_engine/index
Auth

Returns the backing Elasticsearch index for Elastic Security detection alerts in the current space, and whether its mapping is outdated. Use this to verify that an alert index is provisioned before creating or running rules that write alerts to it.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
index_mapping_outdated boolean required nullable
name string required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough permissions response

application/json
message string required
status_code integer required

Not found

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}